#
# Representation of a Patch
#

require 'lib/resolvable'

class Patch < Resolvable
	attr_accessor :group, :rpmsize, :installsize
	attr_accessor :srcrpm
	attr_accessor :license
	attr_accessor :location
	attr_accessor :authors
	attr_accessor :shared

	def initialize( name, epoch = nil, version = nil, release = nil, architecture = nil )
		super :patch, name, epoch, version, release, architecture
	end

	def deps depname, ary, refers = :patch, pre = false
		super
	end
end

