#
# graph.rb
#
# A Graph consisting of nodes and edges
#
#

require 'zypptools/graph/node'
require 'zypptools/graph/edge'

class Graph
  attr_reader :nodes	# hash (for fast lookup) of nodes in the graph

  def initialize
    @nodes = Hash.new
  end

  def add item
    nodes[item] = Node.new( item ) unless nodes[item]
    return nodes[item]
  end

end
