#
# node.rb
# A node in the computed dependency graph
#

class Node
  attr_reader :resolvable
  attr_reader :incoming
  attr_reader :outgoing
  attr_accessor :num

  def initialize( resolvable )
    @resolvable = resolvable
    @edges = []
    @incoming = []
    @outgoing = []
  end

  def name
    return resolvable.name
  end

  def to_s
    return "Node '#{@resolvable.to_s}', #{@incoming.size} incoming, #{@outgoing.size} outgoing"
  end
end
