#
# Representation of a Package
#

require 'zypptools/lib/resolvable'

class Package < Resolvable
  attr_accessor :group, :rpmsize, :installsize
  attr_accessor :srcrpm
  attr_accessor :license
  attr_accessor :location
  attr_accessor :authors
  attr_accessor :shared
  attr_accessor :sha1sum
  attr_accessor :packager
  attr_accessor :url
  attr_accessor :vendor
  attr_accessor :buildhost
  attr_accessor :sourcerpm
  attr_accessor :arch

  alias package_group group

  def initialize( name, epoch = nil, version = nil, release = nil, architecture = nil )
    super :package, name, epoch, version, release, architecture
  end

  def deps depname, ary, refers = :package, pre = false
    super
  end
end

