#
# Representation of a Product
#

require 'zypptools/lib/resolvable'

class Product < Resolvable
  attr_accessor :distproduct, :distversion, :vendor, :relnotesurl
  attr_accessor :arch, :defaultbase, :linguas
  attr_accessor :descrdir, :datadir
  attr_accessor :flags, :language, :timezone
  attr_accessor :shortlabel
  attr_accessor :patterns, :youtype, :youpath, :youurl

  def initialize( name, epoch = nil, version = nil, release = nil, architecture = nil )
    super :product, name, epoch, version, release, architecture
  end

  def deps( depname, ary, refers = :product, pre = false )
    super
  end
end

