
require 'zypptools/output/yum'
require 'zypptools/output/yast'

module ZYppTools

  def OutputFactory(type, path)

    case type
        when :yum  : return ZYppTools::YumOutput.new(path)
        when :yast : return ZYppTools::YastOutput.new(path)
    else
	raise ArgumentError, "Unknown repository type: #{type}"
    end

  end

end

